> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nedzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an MCP server

> Delete an MCP server from a workspace.

> [!NOTE]
>
> This endpoint is for the VIP plan only. Other plans get a `403`. See [Plan access](https://docs.nedzo.ai/api-reference/introduction.md#plan-access).

Returns `204`.

## Path Parameters

**id** `string` *required*

MCP server UUID

```bash cURL theme={null}
curl -X DELETE "https://api.nedzo.ai/v1/mcp-servers/9b2f6c1a-3e4d-4a5b-8c7d-0e1f2a3b4c5d" \
    -H "Authorization: Bearer YOUR_API_KEY"
```

```json Response theme={null}
// 204 No Content
```

## Errors

| Status | When |
| - | - |
| `400` | `id` is not a valid UUID. |
| `404` | The server is not in your API key's scope. |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.